/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifdef __GNUG__
	#pragma implementation "CoreSettingsDlg.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "CoreSettingsDlg.h"

BEGIN_EVENT_TABLE(CCoreSettingsDlg, wxDialog)
	EVT_BUTTON(COREDLG_OK, CCoreSettingsDlg::OnOk)
	EVT_BUTTON(COREDLG_CANCEL, CCoreSettingsDlg::OnCancel)
	EVT_CHECKBOX(ID_CHECK_DL, CCoreSettingsDlg::CheckDl)
	EVT_CHECKBOX(ID_CHECK_UL, CCoreSettingsDlg::CheckUl)
	EVT_CHECKBOX(ID_CHECK_CON, CCoreSettingsDlg::CheckCon)
	EVT_CHECKBOX(ID_CHECK_SRC, CCoreSettingsDlg::CheckSrc)
	EVT_CHECKBOX(ID_CHECK_UDP, CCoreSettingsDlg::CheckUDP)
END_EVENT_TABLE()

/* Constructor for GUI Settings dialog. */
CCoreSettingsDlg::CCoreSettingsDlg(
	wxWindow *parent, wxWindowID id, const wxString &title,
	const wxPoint &position, const wxSize &size, long style
) : wxDialog(parent, id, title, position, size, style) {
	Dlg_Core_Settings(this, true, true);
	Center();
}

/*
 * Handles CoreSettings dialog Ok button event - Saves the settings and
 * closes the dialog.
 */
void CCoreSettingsDlg::OnOk(wxCommandEvent &event) {
	EndModal(0);
}

/*
 * Handles CoreSettings dialog Cancel button event - closes the dialog.
 */
void CCoreSettingsDlg::OnCancel(wxCommandEvent &event) {
	EndModal(0);
}

/* 
 * These five event handler functions enable/disable the text fields
 * corresponding to check boxes.
 */
void CCoreSettingsDlg::CheckDl(wxCommandEvent &event) {
	GetLimitDl()->Enable(GetCheckDl()->GetValue());
}
void CCoreSettingsDlg::CheckUl(wxCommandEvent &event) {
	GetLimitUl()->Enable(GetCheckUl()->GetValue());
}
void CCoreSettingsDlg::CheckCon(wxCommandEvent &event) {
	GetLimitCon()->Enable(GetCheckCon()->GetValue());
}
void CCoreSettingsDlg::CheckSrc(wxCommandEvent &event) {
	GetLimitSrc()->Enable(GetCheckSrc()->GetValue());
}
void CCoreSettingsDlg::CheckUDP(wxCommandEvent &event) {
	GetPortUDP()->Enable(GetCheckUDP()->GetValue());
}
