/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifdef __GNUG__
	#pragma implementation "KnownListCtrl.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "KnownListCtrl.h"

BEGIN_EVENT_TABLE(CKnownListCtrl, CMListCtrl)
END_EVENT_TABLE()

/*
 * Constructor for Known List Control. Constructs the list control and
 * column layout.
 */
CKnownListCtrl::CKnownListCtrl(
	wxWindow*& parent,int id,const wxPoint& pos,wxSize siz,int flags
)
: CMListCtrl(parent,id,pos,siz,flags) {

	/*
	 * Generate the columns for this list control. To add or remove
	 * columns, modify the col_headers array, but make sure the
	 * forloop counter below matches the amount of items in the
	 * array. Column widths data is read from configuration file,
	 * if not present, -1 is used.
	 */
	wxString col_headers[] = {
		wxT("Username"), wxT("Upload Status"), wxT("Transferred Up"), 
		wxT("Download Status"), wxT("Client Software"), wxT("Connected"),
		wxT("Userhash")
	};
	int widths[7];
	LoadColumnWidths(wxT("/Lists/KnownList/"), &*widths, 7);
	for (int i=0; i<7; i++) {
		InsertColumn(i, col_headers[i], wxLIST_FORMAT_LEFT, widths[i]);
	}
}

/*
 * Destructor for this list control. We save the column widths data here.
 */
CKnownListCtrl::~CKnownListCtrl() {
	SaveColumnWidths(wxT("/Lists/KnownList/"));
}


