/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ServerWnd_H__
#define __ServerWnd_H__

#ifdef __GNUG__
	#pragma interface "ServerWnd.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

/* wxWindows headers */
#include <wx/datetime.h>

/* Private headers */
#include "xMuleGUI_wdr.h"
#include "defines.h"
#include "ServerListCtrl.h"

/*
 * CServerWnd class.
 */

class CServerWnd: public wxPanel
{
public:
	CServerWnd(
		wxWindow *parent, wxWindowID id = -1, 
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxTAB_TRAVERSAL | wxNO_BORDER
	);
	virtual ~CServerWnd();
	static void AddLogLine(wxString text, bool statusbar = false);
	static void AddDebugLine(wxString text, bool statusbar = false);
	static void AddServerLogLine(wxString text, bool statusbar = false);

private:
	DECLARE_EVENT_TABLE()
	/* Member function declarations */
	void AddNewServer();
	void UpdateFromURL();

	/* Member variable declarations */
	wxImageList *m_imagelist;

	/* Getters for dialog controls */
	wxNotebook* GetLogbook()  { return (wxNotebook*) FindWindow( ID_LOGBOOK ); }
	wxTextCtrl* GetLog() { return (wxTextCtrl*) FindWindow( ID_LOG ); }
	wxTextCtrl* GetDebugLog() { return (wxTextCtrl*) FindWindow( ID_DEBUGLOG ); }
	wxTextCtrl* GetServerLog() { return (wxTextCtrl*) FindWindow( ID_SERVERINFO ); }
	wxListCtrl* GetMyinfo()  { return (wxListCtrl*) FindWindow( ID_MYINFO ); }
	wxButton* GetUpdate()  { return (wxButton*) FindWindow( ID_UPDATE ); }
	wxTextCtrl* GetServerlisturl()  { return (wxTextCtrl*) FindWindow( ID_SERVERLISTURL ); }
	wxButton* GetAddtolist()  { return (wxButton*) FindWindow( ID_ADDTOLIST ); }
	wxTextCtrl* GetServername()  { return (wxTextCtrl*) FindWindow( ID_SERVERNAME ); }
	wxTextCtrl* GetServerport()  { return (wxTextCtrl*) FindWindow( ID_SERVERPORT ); }
	wxTextCtrl* GetServerip()  { return (wxTextCtrl*) FindWindow( ID_SERVERIP ); }
	CServerListCtrl* GetServerlistctrl()  { return (CServerListCtrl*) FindWindow( ID_SERVERLISTCTRL ); }
	wxStaticText* GetTxtServer()  { return (wxStaticText*) FindWindow( ID_TXT_SERVER ); }

};


#endif
