/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __defines_H__
#define __defines_H__

/* Version strings for easier modification */
#define APPVER wxT("2.0")
#define APPVER_LONG wxT("xMule v2.0 (ui-wx v0.1.6)")

/* Include wx headers */
#include <wx/confbase.h>
#include <wx/fileconf.h>
#include <wx/splash.h>
#include <wx/taskbar.h>

/* Include local headers */
#include "MListCtrl.h"

/* Some defines to make accessing dialog controls easier */
#define GetDlgItem(X) ((wxTextCtrl*)FindWindowById(X)) 
#define m_logbook ((wxNotebook*)FindWindowById(ID_LOGBOOK))
#define prefs_ctrl ((wxListCtrl*)FindWindowById(ID_PREFSCTRL))
#define prefs_panel ((wxPanel*)FindWindowById(ID_PREFSPANEL))
#define xmuleDlg ((wxFrame*)FindWindowByName(APPVER_LONG))
#define splitterwnd ((wxSplitterWindow*)FindWindowById(ID_SPLITTER))

/* ID codes for our controls */
enum {
	/* Main toolbar */
	ID_BTN_CONNECT = 1000,
	ID_BTN_SERVERS,
	ID_BTN_TRANSFER,
	ID_BTN_SEARCH,
	ID_BTN_SHARED,
	ID_BTN_MESSAGES,
	ID_BTN_STATISTICS,
	ID_BTN_GUISETTINGS,
	ID_BTN_CORESETTINGS,

	/* Transfer page */
	ID_SPLITTER,
	ID_CATEGORY,
	ID_UPLOAD,
	ID_QUEUE,
	ID_KNOWN,

	/* 
	 * Base ID for list columns (2000-2100 should always be free from other
	 * ID's to prevent confusion
	 */
	M_LISTCOL = 2000
};

#endif
