/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef __GNUG__
	#pragma implementation "xMuleGUI.h"
#endif

// For compilers that support precompilation
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "xMuleGUI.h"

/* 
 * Base class for xMule wx user interface. Everything else starts from here.
 */

IMPLEMENT_APP(xMuleGUI)

/*
 * Main program initialization. Command arguments should be checked here, and
 * main xMule Dialog drawn.
 */
bool xMuleGUI::OnInit() {
	int show_splash;
	
	SetVendorName(wxT("Alo Sarv"));
	SetAppName(wxT("xmule2-ui-wx"));
	::wxInitAllImageHandlers();

	config = wxConfigBase::Get();
	config->Read(wxT("/General/Show splashscreen"), &show_splash);

	if (show_splash) {
		/* Display the splash screen */
		wxBitmap img_logo(
			wxT("images/default/splashscreen.png"), wxBITMAP_TYPE_PNG
		);
		new wxSplashScreen(
			img_logo, wxSPLASH_CENTRE_ON_SCREEN|wxSPLASH_TIMEOUT, 3000,
			NULL, -1
		); 
	}

	/* Display the main dialog */
	mainframe = new xMuleDlg(
		NULL, -1, APPVER_LONG, wxDefaultPosition, 
		wxDefaultSize, wxDEFAULT_FRAME_STYLE|wxNO_FULL_REPAINT_ON_RESIZE
	);
	mainframe->Show( TRUE );

	return TRUE;
}

/*
 * Main program shutdown function. If anything needs to be cleaned up, do it 
 * here.
 */
int xMuleGUI::OnExit() {
	delete config->Set(NULL);
	return 0;
}

